javax.persistence.metamodel

## Interface Metamodel

    public interface Metamodel

### Method Summary

All Methods Instance Methods Abstract Methods
`<X> EmbeddableType<X>` `embeddable(Class<X> cls)`
`<X> EntityType<X>` `entity(Class<X> cls)`
`Set<EmbeddableType<?>>` `getEmbeddables()`
`Set<EntityType<?>>` `getEntities()`
`Set<ManagedType<?>>` `getManagedTypes()`
`<X> ManagedType<X>` `managedType(Class<X> cls)`

### Method Detail

#### entity

    <X> EntityType<X> entity(Class<X> cls)

#### managedType

    <X> ManagedType<X> managedType(Class<X> cls)

#### embeddable

    <X> EmbeddableType<X> embeddable(Class<X> cls)

#### getManagedTypes

    Set<ManagedType<?>> getManagedTypes()

#### getEntities

    Set<EntityType<?>> getEntities()

#### getEmbeddables

    Set<EmbeddableType<?>> getEmbeddables()